# Uses of Class
org.apache.lucene.search.LeafSimScorer

Packages that use LeafSimScorer
Package
Description
org.apache.lucene.search
Code to search indices.

## Uses of LeafSimScorer in org.apache.lucene.search

Constructors in org.apache.lucene.search with parameters of type LeafSimScorer
Modifier
Constructor
Description
``
`TermScorer(PostingsEnum postingsEnum, LeafSimScorer docScorer)`
Construct a `TermScorer` that will iterate all documents.
``
`TermScorer(Weight weight, ImpactsEnum impactsEnum, LeafSimScorer docScorer, boolean topLevelScoringClause)`
Construct a `TermScorer` that will use impacts to skip blocks of non-competitive documents.